JGraph X 1.3.0.0

## com.mxgraph.layout
Class mxCircleLayout

    java.lang.Object
      com.mxgraph.layout.mxGraphLayout
          com.mxgraph.layout.mxCircleLayout

All Implemented Interfaces:
  mxIGraphLayout

    public class mxCircleLayout

extends mxGraphLayout

Field Summary
`protected boolean` `disableEdgeStyle` Specifies if the STYLE_NOEDGESTYLE flag should be set on edges that are modified by the result.
`protected boolean` `moveCircle` Boolean specifying if the circle should be moved to the top, left corner specified by x0 and y0.
`protected double` `radius` Integer specifying the size of the radius.
`protected boolean` `resetEdges` Specifies if all edge points of traversed edges should be removed.
`protected double` `x0` Integer specifying the left coordinate of the circle.
`protected double` `y0` Integer specifying the top coordinate of the circle.

Fields inherited from class com.mxgraph.layout.mxGraphLayout
`graph, useBoundingBox`

Constructor Summary
`mxCircleLayout(mxGraph graph)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.
`mxCircleLayout(mxGraph graph, double radius)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

Method Summary
`void` `circle(java.lang.Object[] vertices, double r, double left, double top)` Executes the circular layout for the specified array of vertices and the given radius.
`void` `execute(java.lang.Object parent)` Executes the layout for the children of the specified parent.
`double` `getRadius()`
`double` `getX0()`
`double` `getY0()`
`boolean` `isDisableEdgeStyle()`
`boolean` `isMoveCircle()`
`boolean` `isResetEdges()`
`void` `setDisableEdgeStyle(boolean disableEdgeStyle)`
`void` `setMoveCircle(boolean moveCircle)`
`void` `setRadius(double radius)`
`void` `setResetEdges(boolean resetEdges)`
`void` `setX0(double x0)`
`void` `setY0(double y0)`

Methods inherited from class com.mxgraph.layout.mxGraphLayout
`getConstraint, getConstraint, getGraph, getVertexBounds, isEdgeIgnored, isUseBoundingBox, isVertexIgnored, isVertexMovable, moveCell, setEdgePoints, setEdgeStyleEnabled, setUseBoundingBox, setVertexLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### radius

    protected double radius

  Integer specifying the size of the radius. Default is 100.

### moveCircle

    protected boolean moveCircle

  Boolean specifying if the circle should be moved to the top, left corner specified by x0 and y0. Default is false.

### x0

    protected double x0

  Integer specifying the left coordinate of the circle. Default is 0.

### y0

    protected double y0

  Integer specifying the top coordinate of the circle. Default is 0.

### resetEdges

    protected boolean resetEdges

  Specifies if all edge points of traversed edges should be removed. Default is true.

### disableEdgeStyle

    protected boolean disableEdgeStyle

  Specifies if the STYLE_NOEDGESTYLE flag should be set on edges that are modified by the result. Default is true.

Constructor Detail

### mxCircleLayout

    public mxCircleLayout(mxGraph graph)

  Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

### mxCircleLayout

    public mxCircleLayout(mxGraph graph,
                          double radius)

  Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

Method Detail

### getRadius

    public double getRadius()

  Returns:
    the radius

### setRadius

    public void setRadius(double radius)

  Parameters:
    `radius` - the radius to set

### isMoveCircle

    public boolean isMoveCircle()

  Returns:
    the moveCircle

### setMoveCircle

    public void setMoveCircle(boolean moveCircle)

  Parameters:
    `moveCircle` - the moveCircle to set

### getX0

    public double getX0()

  Returns:
    the x0

### setX0

    public void setX0(double x0)

  Parameters:
    `x0` - the x0 to set

### getY0

    public double getY0()

  Returns:
    the y0

### setY0

    public void setY0(double y0)

  Parameters:
    `y0` - the y0 to set

### isResetEdges

    public boolean isResetEdges()

  Returns:
    the resetEdges

### setResetEdges

    public void setResetEdges(boolean resetEdges)

  Parameters:
    `resetEdges` - the resetEdges to set

### isDisableEdgeStyle

    public boolean isDisableEdgeStyle()

  Returns:
    the disableEdgeStyle

### setDisableEdgeStyle

    public void setDisableEdgeStyle(boolean disableEdgeStyle)

  Parameters:
    `disableEdgeStyle` - the disableEdgeStyle to set

### execute

    public void execute(java.lang.Object parent)

  Description copied from interface: `mxIGraphLayout`
  Executes the layout for the children of the specified parent.

  Parameters:
    `parent` - Parent cell that contains the children to be layed out.

### circle

    public void circle(java.lang.Object[] vertices,
                       double r,
                       double left,
                       double top)

  Executes the circular layout for the specified array of vertices and the given radius.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.